Initiate Fund Transfer

Initiate a fund transfer to any bank account.

Transaction Flow

  1. Activate this service (only in production) using the Activate Service for Agent API with service_code = 45
  2. Use this API to initiate the fund transfer
  3. Check the status using Transaction Inquiry API or setup a Transaction Status Callback

📘

READ THE GUIDE

Payment / Fund Transfer Overview & Guide

❗️

Important Note

Authentication key for payment service in staging is 'f46fd59b-bc90-41e2-9a52-efb5c0778d50'

❗️

Setup Callback / Web-Hook

It is mandatory to setup your own callback (web-hook) URL using the Transaction Status Callback API to receive asynchronous updates about the transaction status.

The payment_mode parameter accepts the following values:

payment_modeInterpretation
4NEFT
5IMPS
13RTGS

The beneficiary_account_type parameter accepts the following values:

beneficiary_account_typeInterpretation
1Savings Account
2Current Account

Response Error Codes

ERROR CODESMEANINGSOLUTION
403ForbiddenRegenerate your secret key and
timestamp or check if your service is activated or not
500Internal Server ErrorCheck if your request url is correct or
the parameters you're passing is correct
according to the parameters mentioned above
415Unsupported Media TypeRe-check the content/type of the request body.

Please make sure that the client reference ID that you're entering is a unique combination of characters and numbers as it will help you to uniquely identify a transaction.

Maximum length: 20 characters

Body Params
string
required

Your registered mobile number (See Platform Credentials for UAT)

string

Unique code (registered mobile number) of your agent/retailer

string
required

Unique transaction ID which you will generate from your end for every transaction. Must be less than 20 characters.

int32
required
Defaults to 45

Pass "45" as a fixed value

int32
required

The payment mode you want to use to transfer money. Please refer the table below.

string
required

Beneficiary name (as in bank records)

string
required

Beneficiary bank account number

string
required

IFSC Code of receiver’s bank

int32
required

Amount to Transfer

string
required

Sender’s name

string

Payment purpose; eg- Grocery

string

Sender’s location information; eg- 28.78123,72.808912

int32

Beneficiary's bank account type. Please refer the table below.

string
required
Defaults to API

Pass "API" as a fixed value

Headers
string
required

Your static API key (See Guide)

string
required

Your dynamically generated security key, unique for every request (See Guide)

string
required

The current timestamp used to generate secret-key

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json